SDL_ELF_NOTE_DLOPEN_PRIORITY_RECOMMENDED(3)

NAME
SDL_ELF_NOTE_DLOPEN_PRIORITY_RECOMMENDED - Use this macro with SDL_ELF_NOTE_DLOPEN() to note that a dynamic shared library dependency is recommended.

SYNOPSIS
#include <SDL3/SDL_dlopennote.h>

#define SDL_ELF_NOTE_DLOPEN_PRIORITY_RECOMMENDED "recommended"

DESCRIPTION
Important functionality needs the dependency, the binary will work but in most cases the dependency should be provided.

AVAILABILITY
This macro is available since SDL 3.4.0.

SEE ALSO
SDL_ELF_NOTE_DLOPEN(3), SDL_ELF_NOTE_DLOPEN_PRIORITY_SUGGESTED(3), SDL_ELF_NOTE_DLOPEN_PRIORITY_REQUIRED(3)